{
  "explorer.confirmDelete": false,
  "editor.minimap.enabled": false,
  "security.workspace.trust.untrustedFiles": "open",
  "git.enableSmartCommit": true,
  "git.confirmSync": false,
  "redhat.telemetry.enabled": true,
  "explorer.confirmDragAndDrop": false,
  "autoDocstring.includeExtendedSummary": true,
  "autoDocstring.includeName": true,
  // Editor settings
  "files.autoSave": "afterDelay",
  "editor.tabSize": 2,
  "editor.insertSpaces": true,
  "files.trimFinalNewlines": true,
  "editor.fontFamily": "Fira Code",
  "editor.fontLigatures": true,
  "editor.formatOnSave": true,
  "editor.formatOnSaveMode": "modifications",
  "editor.formatOnType": true,
  // Window and layout settings
  "window.clickThroughInactive": false,
  "workbench.startupEditor": "newUntitledFile",
  "workbench.statusBar.visible": true,
  "workbench.tips.enabled": false,
  "workbench.sideBar.location": "right",
  "workbench.colorTheme": "Cobalt2",
  "workbench.editor.pinnedTabSizing": "shrink",
  "workbench.editor.pinnedTabsOnSeparateRow": true,
  "workbench.editor.scrollToSwitchTabs": true,
  "workbench.editor.tabSizing": "shrink",
  "debug.closeReadonlyTabsOnEnd": true,
  "window.density.editorTabHeight": "compact",
  // Git settings
  "git.autofetch": true,
  "git.showInlineOpenFileAction": true,
  "git.autorefresh": true,
  "git.decorations.enabled": true,
  "git.openRepositoryInParentFolders": "never",
  // Python settings
  "python.defaultInterpreterPath": "/usr/bin/python3",
  "python.languageServer": "Pylance",
  "python.analysis.completeFunctionParens": false,
  "python.createEnvironment.trigger": "off",
  "python.terminal.activateEnvInCurrentTerminal": false,
  "python.terminal.activateEnvironment": false,
  "python.analysis.autoImportCompletions": false,
  "python.experiments.enabled": false,
  "python.venvPath": "venv",
  "python.analysis.typeCheckingMode": "strict",
  "python.analysis.autoSearchPaths": true,
  // TypeScript and JavaScript settings
  "typescript.updateImportsOnFileMove.enabled": "never",
  "typescript.suggest.autoImports": false,
  "javascript.suggest.autoImports": false,
  "javascript.updateImportsOnFileMove.enabled": "never",
  // Python-specific editor settings
  "[python]": {
    "editor.rulers": [
      88
    ],
    "diffEditor.ignoreTrimWhitespace": false,
    "editor.formatOnSave": true,
    "editor.defaultFormatter": "ms-python.autopep8",
    "editor.wordBasedSuggestions": "currentDocument",
    "editor.codeActionsOnSave": {
      "source.organizeImports": "explicit"
    }
  },
  // Black formatter settings
  "black-formatter.args": [
    "--line-length",
    "88"
  ],
  // Miscellaneous settings
  "problems.decorations.enabled": false,
  "merge-conflict.autoNavigateNextConflict.enabled": false,
  "python.testing.pytestEnabled": true,
  "black-formatter.showNotifications": "onWarning",
  "pylint.lintOnChange": true,
}